=== debian/changelog ===
simka (1.5.1-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:38 +0100

simka (1.5.1-4) unstable; urgency=medium

  * Team upload.
  * Enable arch any and arch all build separately
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 19:17:16 +0100

simka (1.5.1-3) unstable; urgency=medium

  * Team upload.
  * Do not explicitly Depends: libgatbcore2 (trust ${shlibs:Depends} instead)
  * Set upstream metadata fields: Bug-Database, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 13 Dec 2019 08:36:28 +0100

simka (1.5.1-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint
  * Update metadata with ref to conda

  [ Shayan Doust ]
  * Fix debian/rules not trapping for errors (Closes: #944572)
  * Specify architectures that can build this package
  * More verbose output and slight change to simkamin.install

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * Set upstream metadata fields: Repository.

 -- Shayan Doust <hello@shayandoust.me>  Mon, 18 Nov 2019 07:05:39 +0100

simka (1.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #940559)

 -- Shayan Doust <hello@shayandoust.me>  Sun, 08 Sep 2019 22:20:14 +0100
