=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3

override_dh_install-arch:
	dh_install -a
	chrpath --delete debian/simka/usr/bin/*
	rm -rf debian/tmp/usr/example \
		debian/tmp/usr/scripts

override_dh_install-indep:
	dh_install -i
	ls -l debian/simkamin/usr/share && ls -l debian/simkamin/usr/share/simkamin
	rm -rf debian/tmp/usr/example \
		debian/tmp/usr/scripts
	set -e; for file in debian/simkamin/usr/share/simkamin/*.py; do mv "$$file" "$${file%%.py}"; done
	mv debian/simkamin/usr/share/simkamin/simkaMin_utils debian/simkamin/usr/share/simkamin/simkaMin_utils.py

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/*/usr/bin/*

override_dh_installman:
	dh_installman
	rm -rf debian/simka/usr/share/man/man1/simkaMin.1 \
		debian/simka/usr/share/man/man1/simkaMin_update.1
