=== debian/changelog ===
simka (1.5.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)

  [ Shayan Doust ]
  * Refresh patches
  * Override dh_missing

 -- Shayan Doust <hello@shayandoust.me>  Tue, 28 Jul 2020 12:26:25 +0100
