=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libgatbcore-dev,
                zlib1g-dev,
@@ -12,7 +12,7 @@
                python3-all,
                dh-python,
                chrpath
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/simka
 Vcs-Git: https://salsa.debian.org/med-team/simka.git
 Homepage: https://github.com/GATB/simka
