=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,6 @@
 	dh_installman
 	rm -rf debian/simka/usr/share/man/man1/simkaMin.1 \
 		debian/simka/usr/share/man/man1/simkaMin_update.1
+
+override_dh_missing:
+
