## simka 1.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ################################################################################
 SET (gatb-tool_VERSION_MAJOR 1)
 SET (gatb-tool_VERSION_MINOR 5)
-SET (gatb-tool_VERSION_PATCH 2)
+SET (gatb-tool_VERSION_PATCH 3)
 
 IF (DEFINED MAJOR)
     SET (gatb-tool_VERSION_MAJOR ${MAJOR})
@@ -92,6 +92,13 @@
 target_link_libraries (simkaMinCore  ${gatb-core-libraries})
 
 ################################################################################
+#  DOCUMENTATION GENERATION 
+################################################################################
+IF (EXISTS "${PROJECT_SOURCE_DIR}/doc")
+    ADD_SUBDIRECTORY(doc EXCLUDE_FROM_ALL)
+ENDIF()
+
+################################################################################
 #  PACKAGING
 ################################################################################
