=== debian/changelog ===
simka (1.5.3-9) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113504
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * debian/not-installed: Mention files that are blamed by dh_missing

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 15:41:14 +0200

simka (1.5.3-8) unstable; urgency=medium

  * Team upload.
  * Add build support for loongarch64
    Closes: #1059213
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 20:22:10 +0100

simka (1.5.3-7) unstable; urgency=medium

  * Team upload.
  * d/control: Only build on architectures supported by gatb-core.
    (Closes: #1031533)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 17 Feb 2023 18:01:22 -0500

simka (1.5.3-6) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 14 Nov 2022 21:35:04 +0100

simka (1.5.3-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 09:30:45 +0200

simka (1.5.3-4) unstable; urgency=medium

  * Team upload.
  * debian/tests/run-unit-test: remove misleading argument from Python script.
  * Add high_cores_count.patch to fix deadlock with Python test script.
    (Closes: #986256)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 07 Apr 2021 23:12:25 +0200

simka (1.5.3-3) unstable; urgency=medium

  * Team upload.
  * d/tests/run-unit-test: cap nb-cores to 8 cpus when running tests, to avoid
    the test suite to hang on high cores count machines.  (Closes: #986256)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Mon, 05 Apr 2021 20:02:58 +0200

simka (1.5.3-2) unstable; urgency=high

  * Make autopkgtest have the same arch list as d/control (Closes: #982212)

 -- Shayan Doust <hello@shayandoust.me>  Sun, 07 Feb 2021 20:06:22 +0000

simka (1.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Fix autopkgtest and mark non-working simkaMin/test_simkaMin.py as
    FIXME

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2021 12:42:03 +0100
