=== debian/control ===
Source: simka
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Shayan Doust <hello@shayandoust.me>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgatbcore-dev,
 zlib1g-dev,
 libhdf5-dev,
 libboost-dev,
 python3-all,
 dh-sequence-python3,
 chrpath,
Vcs-Browser: https://salsa.debian.org/med-team/simka
Vcs-Git: https://salsa.debian.org/med-team/simka.git
Homepage: https://github.com/GATB/simka
Rules-Requires-Root: no

Package: simka
Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: comparative metagenomics method dedicated to NGS datasets
 Simka is a de novo comparative metagenomics tool. Simka represents each
 dataset as a k-mer spectrum and compute several classical ecological
 distances between them.

Package: simkamin
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3,
Description: approximate comparative metagenomics method dedicated to NGS datasets
 Simka is a de novo comparative metagenomics tool. Simka represents each
 dataset as a k-mer spectrum and compute several classical ecological
 distances between them.
 .
 The difference with Simka stands in the fact that SimkaMin outputs
 approximate (but very similar) results by subsampling the kmer space.
 With this strategy, and with default parameters, SimkaMin is an order
 of magnitude faster, uses 10 times less memory and 70 times less disk
 than Simka.
