=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with python3
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_install-arch:
 	dh_install -a
@@ -32,6 +35,3 @@
 	dh_installman
 	rm -rf debian/simka/usr/share/man/man1/simkaMin.1 \
 		debian/simka/usr/share/man/man1/simkaMin_update.1
-
-override_dh_missing:
-
