=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr
Architecture: amd64 arm64 i386 loong64 ppc64el s390x hppa ia64 ppc64 riscv64 sparc64
